*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;

}
body{
    background-color: hsl(217, 100%, 97%);
    font-family: "Ubuntu", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.main_container{
    display: flex;
    width: 55%;
    margin: 8rem auto;
    height: 30rem;
    background-color: white;
    border-radius: 0.4rem;
}


.main_left_container{
    width: 28%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.left_container{
    height: 95%;
    border-radius: 0.4rem;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    color: white;
    background: url(../../assets/images/bg-sidebar-desktop.svg);
    background-position: center;
    background-size: cover;
}
.steps{
    display: flex;
    margin: 1rem;

    .count{
        width: 2rem;
        height: 2rem;
        display: flex;
        justify-content: center;
        align-items: center;
        border: 2px solid hsl(0, 0%, 100%);
        border-radius: 30rem;

    }
    #active{
        background-color: hsl(206, 94%, 87%);
        color: hsl(213, 96%, 18%);
        border: none;
    }
}
.step_information {
    display: flex;
    flex-direction: column;
    margin: 0 1rem;

    .step_count{
        font-size: 0.7rem;
        color:  hsl(229, 24%, 87%);
    }
}


.main_right_container{
    width: 72%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.right_container{
    width: 85%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 90%;

    .heading {
        h1{
            margin: 0.8rem 0;
            font-weight: 700;
        }
        h4{
            font-weight: 400;
            color: hsl(231, 11%, 63%);
        }
    }
}

.all_plans_container{
    display: flex;
    height: 10rem;
    justify-content: space-evenly;
}

.plan_container{
    width: 30%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    border-radius: 0.3rem;
    border: 0.1rem solid hsl(229, 24%, 87%);
    
}
.plan_container:hover{
    cursor: pointer;        
}

.toggle_container{
    width: 95%;
    display: flex;
    justify-content: center;
    margin: 1rem;
    background-color: hsl(217, 100%, 97%);
    padding: 0.75rem 0;
    border-radius: 0.7rem;

    .yearly, .monthly{
        margin : 0 1rem;
        color:  hsl(231, 11%, 63%);
    }
    .active{
        color: hsl(213, 96%, 18%);
    }

}

.switch {
    position: relative;
    display: inline-block;
    width: 2.2rem;
    height: 1.1rem;
  }

  /* Hide default HTML checkbox */
  .switch input {display:none;}
  
  /* The slider */
  .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: hsl(213, 96%, 18%) ;
    -webkit-transition: .4s;
    transition: .4s;
  }
  
  .slider:before {
    position: absolute;
    content: "";
    height: 0.6rem;
    width: 0.7rem;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
    
  }
  
  input:checked + .slider {
    background-color: linear-gradient(135deg, rgba(163, 168, 240, 1) 0%, rgba(105, 111, 221, 1) 100%);
  }
  
  input:focus + .slider {
    box-shadow: 0 0 1px linear-gradient(135deg, rgba(163, 168, 240, 1) 0%, rgba(105, 111, 221, 1) 100%);;
  }
  
  input:checked + .slider:before {
    -webkit-transform: translateX(0.9rem);
    -ms-transform: translateX(0.9rem);
    transform: translateX(0.9rem);
    
    
  }
  
  
  .slider.round {
    border-radius: 4.2rem;
  }
  
  .slider.round:before {
    border-radius: 50%;
  }


.plan_container:hover{
    border: 0.1rem solid  hsl(243, 100%, 62%);
}

.plan_container.active{
    border: 0.1rem solid  hsl(243, 100%, 62%);
    background-color: hsl(217, 100%, 97%);
}
.svg_icon{
    margin: 1rem;
}
.plan_information{
    display: flex;
    flex-direction: column;
    margin: 1rem;
    height: 26%;

    .plan_price{
        color: hsl(231, 11%, 63%);
        font-weight: 400;
        font-size: 0.8rem;

        margin-top: 0.3rem;
    }
}

.arcade_free_plan, .advanced_free_plan, .pro_free_plan{
    font-weight: 400;
    font-size: 0.8rem;
    margin-top: 0.2rem;
}

#btn_forward_page2{
    padding: 0.6rem 1rem;
    border-radius: 0.3rem;
    background-color: hsl(213, 96%, 18%);
    color: #FFFFFF;
}
#btn_backward_page2{
    padding: 0.6rem 1rem;
    border-radius: 0.3rem;
    color: hsl(231, 11%, 63%);
}
a{
    text-decoration: none;
}
a:hover{
    cursor: pointer;
}
.next_step_btn{
    display: flex;
    
    flex-direction: row;
    justify-content: space-between;
}


@media (max-width: 900px){
    .main_container {
        width: 90%;
    }
    .all_plans_container {
        height: 12rem;
    }

}

@media (max-width: 550px) {
    .main_container{
        flex-direction: column;
        width: 100%;
        margin: 0;
        height: 40rem;
    }

    .main_left_container{
        width: 100%;
        height: 20%;
    }
    .left_container{
        width: 100%;
        flex-direction: row;
        justify-content: center;
        height: 8rem;
        background: url('../../assets/images/bg-sidebar-mobile.svg');
        background-repeat: no-repeat;
        background-position: center;
        background-size: cover;
        .step_information{
            display: none;
        }
    }

    .main_right_container{
        width: 100%;
        background-color: hsl(217, 100%, 97%);;
        height: 90%;
    }
    body{

        background-color: white;
        position: relative;
    }

    .right_container{
        
        height: 100%;
        background-color: #FFFFFF;
        align-items: center;
        border-radius: 1rem;
        margin-top: -26%; 
        justify-content: space-around;
        .heading{
            width: 90%;
        }

        .all_plans_container{
            flex-direction: column;
            height: 60%;
        }

        .plans_section{
            width: 90%;
            height: 80%;
            display: flex;
            flex-direction: column;
            justify-content: center;
        }
        .plan_container{
            width: 100%;
            /* height: 50%; */
            flex-direction: row;
            justify-content: flex-start;
            align-items: center;
            margin: 0.3rem;
            
            .plan_information{
                height: 100%;
                display: flex;
                flex-direction: column;
                justify-content: space-evenly;
            }
            span{
                font-size: 1.2rem;
            }
            .plan_price{
                font-size: 1rem;
            }
            .arcade_free_plan, .advanced_free_plan, .pro_free_plan{
                font-size: 0.8rem;
            }
        }

        .toggle_container{
            width: 100%;
            margin: 0;
            margin-top: 3rem;
        }

        

        .next_step_btn{
            position: absolute;
            width: 90%;
            bottom : -3rem;
        }
    }
}